/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#include "audio_gui.h"

#include <gtk/gtk.h>

#include "soundcard.h"

unsigned int audio_gui_register_callback(int mode, void (*fn)(void))
{
  if (mode == PLAY_SOUND)
    return gtk_input_add_full(get_sound_fd(), GDK_INPUT_WRITE, (GdkInputFunction)fn, 0, 0, 0);

  return gtk_input_add_full(get_sound_fd(), GDK_INPUT_READ, (GdkInputFunction)fn, 0, 0, 0);
}

void audio_gui_unregister_callback(unsigned int d)
{
  gtk_input_remove(d);
}
