/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _ERROR_H_
#define _ERROR_H_

typedef struct {
  char *data;
  int size;
  int maxsize;
  int internal_out_of_memory:1;
} error;

void open_error(void);
void close_error(void);

void reset_error(void);
void add_error_char(char *);
void add_error_int(int);
void oom(void);
char *get_error(void);

void display_error(void);
void display_error_modal(void);

#endif /* _ERROR_H_ */
