/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#include "gui.h"

#include <gtk/gtk.h>

#include "error.h"

int gui_ok;

#include "main_gui.h"

void gui(int n, char **v)
{
  GtkSettings *s;

  gui_ok = 0;

  if (gtk_init_check(&n, &v) == FALSE) {
    reset_error();
    add_error_char("Error while initializing the gui\n");
    display_error();
    return;
  }

  /* I want to be able to change accel keys for menus, and it's off by default, and I don't know how to set it with config files */
  s = gtk_settings_get_default();
  gtk_settings_set_long_property(s, "gtk-can-change-accels", TRUE, "Songs runtime settings");

  gui_ok = 1;

  main_gui();

  gtk_main();

  gui_ok = 0;
}
