/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _MAIN_GUI_H_
#define _MAIN_GUI_H_

#include "track.h"

/* this global is set to 1 whenever any parameter anywhere changes */
extern int modify;

void main_gui(void);

void main_gui_add_track(track *);
void main_gui_sub_track(track *);

void main_gui_update_track_view(void);
void main_gui_redraw_track_view(void);

void main_gui_update_start_play_list(void);
void main_gui_update_stop_play_list(void);
void main_gui_update_marker_list(void);

void set_label_text(void *, char *);

#endif /* _MAIN_GUI_H_ */
