/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _PAN_H_
#define _PAN_H_

#include "channel.h"

typedef struct {
  channel_common c;
  double pan;		/* -1 <= pan <= 1 */
  double l;
  double r;
  /* gui stuff */
  void *win;
  void *scale;
} pan;

pan *new_pan(channel *c);
void delete_pan(pan *);

void set_pan(pan *, double);

#endif /* _PAN_H_ */
