/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#include "error_gui.h"

#include <gtk/gtk.h>

void display_error_gui(char *c)
{
  extern GtkWidget *main_win;
  GtkWidget *dia = gtk_message_dialog_new(
	GTK_WINDOW(main_win),
	GTK_DIALOG_DESTROY_WITH_PARENT,
	GTK_MESSAGE_ERROR,
	GTK_BUTTONS_CLOSE,
	"%s", c);

  g_signal_connect_swapped(dia, "response", G_CALLBACK(gtk_widget_destroy), dia);

  gtk_widget_show_all(dia);
}

void display_error_gui_modal(char *c)
{
  extern GtkWidget *main_win;
  GtkWidget *dia = gtk_message_dialog_new(
	GTK_WINDOW(main_win),
	GTK_DIALOG_DESTROY_WITH_PARENT | GTK_DIALOG_MODAL,
	GTK_MESSAGE_ERROR,
	GTK_BUTTONS_CLOSE,
	"%s", c);

  g_signal_connect_swapped(dia, "response", G_CALLBACK(gtk_widget_destroy), dia);

  gtk_widget_show_all(dia);
}
