/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _POS_H_
#define _POS_H_

#include "channel.h"

typedef struct {
  channel_common c;
  int global_start;
  int subchannel_start;
  int subchannel_nb_samples;
  /* gui stuff */
  void *win;
  void *entry1;
  void *entry2;
  void *entry3;
  void *label1;
  void *label2;
  void *label3;
} pos;

pos *new_pos(channel *);
void delete_pos(pos *);

void set_global_start(pos *, int);
void set_subchannel_start(pos *, int);
void set_subchannel_nb_samples(pos *, int);

#endif /* _POS_H_ */
