/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _TRACK_GUI_H_
#define _TRACK_GUI_H_

#include "track.h"

void track_gui(track *);
void track_ungui(track *);

extern void *widget_current_point;

int enter_track_window(void *, void *);
int leave_track_window(void *);
int track_pointer_motion_event(void *, void *);

int track_button_press_event(void *, void *);
int track_button_release_event(void *, void *);
int track_scroll_event(void *, void *);
int marker_track_button_press_event(void *, void *);

void mute_all(void);
void mute_none(void);

#endif /* _TRACK_GUI_H_ */
