/*
 * songs - a little tool to record and mix audio files.
 *
 * public domain
 *
 * http://sed.free.fr/songs
 */

#ifndef _VOL_H_
#define _VOL_H_

#include "channel.h"

typedef struct {
  channel_common c;
  double vol_dB;
  double vol;
  /* gui stuff */
  void *win;
  void *scale;
} vol;

vol *new_vol(channel *c);
void delete_vol(vol *);

void set_vol(vol *, double);

#endif /* _VOL_H_ */
